plugin {
    hycov {
        overview_gappo = 60 # gaps width from screen edge
        overview_gappi = 24 # gaps width from clients
        enable_hotarea = 0 # enable mouse cursor hotarea, when cursor enter hotarea, it will toggle overview    
        hotarea_monitor = all # monitor name which hotarea is in, default is all
        hotarea_pos = 3 # position of hotarea (1: bottom left, 2: bottom right, 3: top left, 4: top right)
        hotarea_size = 10 # hotarea size, 10x10
        swipe_fingers = 4 # finger number of gesture,move any directory
        move_focus_distance = 100 # distance for movefocus,only can use 3 finger to move 
        enable_gesture = 0 # enable gesture
        disable_workspace_change = 0 # disable workspace change when in overview mode
        disable_spawn = 0 # disable bind exec when in overview mode
        auto_exit = 1 # enable auto exit when no client in overview
        auto_fullscreen = 0 # auto make active window maximize after exit overview
        only_active_workspace = 0 # only overview the active workspace
        only_active_monitor = 0 # only overview the active monitor
        enable_alt_release_exit = 1 # alt swith mode arg,see readme for detail
        alt_replace_key = Super_L # alt swith mode arg,see readme for detail
        alt_toggle_auto_next = 1 # auto focus next window when toggle overview in alt swith mode
        click_in_cursor = 1 # when click to jump,the target windwo is find by cursor, not the current foucus window.
        hight_of_titlebar = 0 # height deviation of title bar hight
    }
    hyprbars {
        # example config
        bar_height = 30

        bar_text_size = 9

        # example buttons (R -> L)
        # hyprbars-button = color, size, on-click
        hyprbars-button = rgb(7f849c), 16, 󰖭, hyprctl dispatch killactive
        bar_precedence_over_border = false
    }
    hyprexpo {
        columns = 3
        gap_size = 10
        bg_col = rgb(111111)
        workspace_method = first 1# [center/first] [workspace] e.g. first 1 or center m+1

        enable_gesture = true # laptop touchpad, 4 fingers
        gesture_distance = 300 # how far is the "max"
        gesture_positive = true # positive = swipe down. Negative = swipe up.
    }
}
